com-tecnick-tcpdf

# Class: TCPDF2DBarcode

Source Location: /2dbarcodes.php

### Class Overview

PHP class to creates array representations for 2D barcodes to be used with TCPDF (http://www.tcpdf.org).

#### Author(s):

- Nicola Asuni

#### Version:

- 1.0.006

### Variables

- $barcode_array

### Methods

- __construct
- getBarcodeArray
- setBarcode

### Class Details

[line 55]
PHP class to creates array representations for 2D barcodes to be used with TCPDF (http://www.tcpdf.org).

#### Tags:

author: | Nicola Asuni
version: | 1.0.006
link: | http://www.tcpdf.org
name: | TCPDFBarcode
license: | LGPL

[ Top ]

### Class Variables

#### $barcode_array = false

[line 61]

#### Tags:

var: | representation of barcode.
access: | protected

Type: | array

[ Top ]

### Class Methods

### constructor __construct [line 73]

`TCPDF2DBarcode __construct( string $code, string $type)`

This is the class constructor.

Return an array representations for 2D barcodes:

- $arrcode['code'] code to be printed on text label
- $arrcode['num_rows'] required number of rows
- $arrcode['num_cols'] required number of columns
- $arrcode['bcode'][$r][$c] value of the cell is $r row and $c column (0 = transparent, 1 = black)

#### Tags:

access: | public

#### Parameters:

string | $code | code to print

string

$type

type of barcode:

- RAW: raw mode - comma-separad list of array rows
- RAW2: raw mode - array rows are surrounded by square parenthesis.
- QRCODE : QR-CODE Low error correction
- QRCODE,L : QR-CODE Low error correction
- QRCODE,M : QR-CODE Medium error correction
- QRCODE,Q : QR-CODE Better error correction
- QRCODE,H : QR-CODE Best error correction
- PDF417 : PDF417 (ISO/IEC 15438:2006)
- PDF417,a,e,t,s,f,o0,o1,o2,o3,o4,o5,o6 : PDF417 with parameters: a = aspect ratio (width/height); e = error correction level (0-8); t = total number of macro segments; s = macro segment index (0-99998); f = file ID; o0 = File Name (text); o1 = Segment Count (numeric); o2 = Time Stamp (numeric); o3 = Sender (text); o4 = Addressee (text); o5 = File Size (numeric); o6 = Checksum (numeric). NOTES: Parameters t, s and f are required for a Macro Control Block, all other parametrs are optional. To use a comma character ',' on text options, replace it with the character 255: "\xff".

[ Top ]

### method getBarcodeArray [line 81]

`array getBarcodeArray( )`

Return an array representations of barcode.

#### Tags:

access: | public

[ Top ]

### method setBarcode [line 91]

`array setBarcode( string $code, string $type)`

Set the barcode.

#### Tags:

access: | public

#### Parameters:

string | $code | code to print

string

$type

type of barcode:

- RAW: raw mode - comma-separad list of array rows
- RAW2: raw mode - array rows are surrounded by square parenthesis.
- QRCODE : QR-CODE Low error correction
- QRCODE,L : QR-CODE Low error correction
- QRCODE,M : QR-CODE Medium error correction
- QRCODE,Q : QR-CODE Better error correction
- QRCODE,H : QR-CODE Best error correction
- PDF417 : PDF417 (ISO/IEC 15438:2006)
- PDF417,a,e,t,s,f,o0,o1,o2,o3,o4,o5,o6 : PDF417 with parameters: a = aspect ratio (width/height); e = error correction level (0-8); t = total number of macro segments; s = macro segment index (0-99998); f = file ID; o0 = File Name (text); o1 = Segment Count (numeric); o2 = Time Stamp (numeric); o3 = Sender (text); o4 = Addressee (text); o5 = File Size (numeric); o6 = Checksum (numeric). NOTES: Parameters t, s and f are required for a Macro Control Block, all other parametrs are optional. To use a comma character ',' on text options, replace it with the character 255: "\xff".

[ Top ]

Documentation generated on Sat, 31 Jul 2010 14:40:11 +0200 by phpDocumentor 1.4.3